#include <Ogre.h>

#include "TrackingCamera.h"


TrackingCamera::TrackingCamera(Ogre::SceneManager *smgr)
{

  /* Create camera */
  tCamera = smgr->createCamera("TrackingCam");

  /* XXX -- should not be hardcoded */
  tCamera->setPosition(807, 100, 508);
  tCamera->setOrientation(Ogre::Quaternion(-0.3486, 0.0122, 0.9365, 0.0329));
  /* -- XXX */

  tCamera->setNearClipDistance(1);
  tCamera->setFarClipDistance(1000); /* XXX -- some cards support unlimited clipdistance I think */

  mDir = Ogre::Vector3::ZERO;

  tCamera->setAutoTracking(false);

}

TrackingCamera::~TrackingCamera()
{
  /* XXX : destroy cam */
}

void TrackingCamera::track(Ogre::SceneNode *what)
{
  tCamera->setAutoTracking(true, what, Ogre::Vector3(0, 50, 0));
}


